# Installation

{% stepper %}
{% step %}

### Ensure Dependencies

{% hint style="warning" %}
Verify that you have the latest version of the listed mandatory resources installed and ensured in correct [start order](https://docs.t1ger.net/resources/t1ger-chop-shop/installation#start-order).
{% endhint %}

<table data-full-width="false"><thead><tr><th>Type</th><th width="462.60009765625">Resource(s)</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td>Database</td><td><a href="https://github.com/overextended/oxmysql/releases/latest">oxmysql</a></td><td>true</td></tr><tr><td>Library</td><td><a href="https://github.com/overextended/ox_lib/releases/latest">ox_lib</a></td><td>true</td></tr><tr><td>Framework</td><td><a href="https://github.com/esx-framework/esx_core/tree/main/%5Bcore%5D/es_extended">es_extended</a>, <a href="https://github.com/Qbox-project/qbx_core/releases/latest">qbx_core</a> or <a href="https://github.com/qbcore-framework/qb-core">qb-core</a></td><td>true</td></tr><tr><td>Target</td><td><a href="https://github.com/overextended/ox_target">ox_target</a> or <a href="https://github.com/qbcore-framework/qb-target">qb-target</a></td><td>true</td></tr><tr><td>Inventory</td><td><a href="https://github.com/overextended/ox_inventory">ox_inventory</a>, <a href="https://github.com/qbcore-framework/qb-inventory">qb-inventory</a>, qs-inventory, core_inventory, codem-inventory, origen_inventory or ak47_inventory</td><td>true</td></tr></tbody></table>
{% endstep %}

{% step %}

### Download

{% hint style="info" %}
Download the `t1ger_chopshop` asset from [Cfx.re Portal](https://portal.cfx.re/assets/granted-assets). Unzip the downloaded assets and drag it into a new(or existing) folder named `[t1ger]` inside your server's `resources` folder.
{% endhint %}
{% endstep %}

{% step %}

### Start Order

{% hint style="warning" %}
It's **very important** to ensure the resources in correct order to prevent any errors due to missing dependencies!
{% endhint %}

```lua
ensure oxmysql
ensure ox_lib
ensure es_extended -- or qbx_core / qb-core
ensure ox_target -- or qb-target
ensure ox_inventory -- or whatever compatible inventory
ensure [t1ger]
```

{% hint style="info" %}
*There can be resources ensure in between the listed resources - this **solely clarifies** the correct start order.*
{% endhint %}
{% endstep %}

{% step %}

### Run SQL

{% hint style="info" %}
Open the `t1ger_chopshop/install/main.sql` file and run the queries in your database.

Alternatively you can the import file directly into your database.
{% endhint %}
{% endstep %}

{% step %}

### Add Items

{% hint style="danger" %}
If you rename the items or wish to use your own items, make sure to update inside t1ger\_chopshop/shared/\*.lua files!
{% endhint %}

{% tabs %}
{% tab title="ox\_inventory" %}
Open `t1ger_chopshop/install/items/ox_inventory.lua` file and copy/paste into `ox_inventory/data/items.lua` file.
{% endtab %}

{% tab title="qb-inventory" %}
Open `t1ger_chopshop/install/items/qb-inventory.lua` file and copy/paste into `qb-core/shared/items.lua` file.
{% endtab %}

{% tab title="es\_extended" %}
Open `t1ger_chopshop/install/items/items.sql` file and run the query in your database. You can also import the file directly into your database.

If using `ox_inventory`, it will automatically pull items from your database. Otherwise, you can open the `t1ger_chopshop/install/items/ox_inventory.lua` file and copy/paste into `ox_inventory/data/items.lua` file.
{% endtab %}
{% endtabs %}

{% hint style="info" %}
Inventory icons are located in `t1ger_chopshop/install/items/icons/` folder.
{% endhint %}
{% endstep %}

{% step %}

### Configuration

{% hint style="info" %}
Configure the resource to your liking. Read the end-text comments carefully. If you do not understand, please refer to our documentation or contact us through the relevant support channels on .

Refer to [Configuration](/resources/t1ger-mechanic/configuration.md)
{% endhint %}
{% endstep %}

{% step %}

### Complete

{% hint style="success" %}
You have successfully installed our T1GER Chop Shop resource. Restart your server and enjoy!
{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-chop-shop/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
